function rasverS
m=2147483647;
a=630360016;
n=1000;
e(1)=2000000;
A=20;
S=30;
p=0;

for i=1:n
e(i+1)=mod(a*e(i),m);
end;
e=e/m; 

b=S;
for i=1:n
    xS=-b*log(1-e); %массив значений с которым мы работаем
end;

%------Гипотеза-------------
ma=max(xS);
mi=min(xS);
k=25;%колличество интервалов
dx=(ma-mi)/k%определение ширины интервала

int(1)=dx;
for i=1:k
   int(i+1)=int(i)+dx;%массив границ интервалов
end;
data=xS;
intervals=int;
h=histc(data,intervals);%определение колличества значений попавших в интервал(массив)
f=h/n;
for i=1:k
    p(i)=0;
end;
for i=1:k
    p(i+1)=p(i)+exp((-int(i))/b)-exp(-int(i+1)/b);%цикл вычисляющий значения вероятностей P(i)
end;
hF1=figure('Name','Расперделение вероятности S')
for i=1:k-1
    line([int(i) int(i+1)],[p(i),p(i)],'LineWidth',2)
end;
hold on;    



